Bug 1797041 - False Alarm - SDN pod has gone too long without syncing iptables rules
Summary: False Alarm - SDN pod has gone too long without syncing iptables rules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.z
Assignee: Ben Bennett
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1797033
Blocks: 1778314
TreeView+ depends on / blocked
 
Reported: 2020-01-31 19:21 UTC by jtanenba
Modified: 2020-02-12 09:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1797033
Environment:
Last Closed: 2020-02-12 09:42:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0391 None None None 2020-02-12 09:42:32 UTC

Comment 1 zhaozhanqi 2020-02-03 10:57:19 UTC
verified this bug on 4.3.0-0.nightly-2020-02-02-235748
alert: NodeIPTablesStale
expr: (timestamp(kubeproxy_sync_proxy_rules_last_timestamp_seconds)
  - on(pod) kubeproxy_sync_proxy_rules_last_timestamp_seconds) * on(pod) group_right()
  kube_pod_info{namespace="openshift-sdn",pod=~"sdn-[^-]*"} > 120
for: 20m
labels:
  severity: warning
annotations:
  message: SDN pod {{ $labels.pod }} on node {{ $labels.node }} has gone too long
    without syncing iptables rules.

Comment 3 errata-xmlrpc 2020-02-12 09:42:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0391


Note You need to log in before you can comment on or make changes to this bug.